#!/bin/sh -eu

# Start
cat <<EOF
# Managed remotely, changes will be lost

# Jicofo HOCON configuration. See /usr/share/jicofo/jicofo.jar/reference.conf for
#available options, syntax, and default values.
jicofo {
  xmpp: {
    client: {
      client-proxy: focus.${JITSI_HOST:?}
    }
    trusted-domains: [ "recorder.${JITSI_HOST:?}" ]
  }
  bridge: {
    brewery-jid: "JvbBrewery@internal.auth.${JITSI_HOST:?}"
  }
EOF

# Secured domains if needed
if [ "${SECURED_DOMAINS_STATE:?}" = "present" ]; then
cat <<EOF

  authentication: {
    enabled: true
    type: XMPP
    login-url: ${JITSI_HOST:?}
  }
EOF
fi

# Jibri if needed
if [ "${JIBRI_STATE:?}" = "present" ]; then
cat <<EOF

  jibri: {
    // The JID of the MUC to be used as a brewery for jibri instances for streaming.
    brewery-jid: "JibriBrewery@internal.auth.${JITSI_HOST:?}",
    // How long to wait for Jibri to start recording from the time it accepts a START request.
    pending-timeout: 90
  }
EOF
fi

# End
echo '}'
